apiVersion: apps/v1
kind: Deployment
metadata:
  name: orangepunk-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: orangepunk
  template:
    metadata:
      labels:
        app: orangepunk
        app.kubernetes.io/name: orangepunk
    spec:
      containers:
      - name: orangepunk-container
        image: us-west4-docker.pkg.dev/nixernetes/images/orangepunk-html:0.0.8
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: orangepunk-service
spec:
  selector:
    app.kubernetes.io/name: orangepunk
  ports:
    - protocol: TCP
      port: 80
      targetPort: 80
      nodePort: 30014
  type: NodePort
